pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: htop installation from package (using pkgin) broken on NetBSD 6.0

On Fri, Dec 07, 2012 at 07:35:18PM +0300, Aleksey Cheusov wrote:
> > Can you sum up what the problem on the build hosts(s) would be ?
> > I can't parse the pkg_* outputs you posted.
> There is one package (ncurses) both in i386 and amd64 repo having
> REQUIRES=/usr/lib/lib{menu,form}.so.5
> entry which is used by pkgin and nih and pkgin warns about
> missing libraries during installation.
> Neither and
> are a part of NetBSD-6 base.
> According to OS_VERSION all packages were rebuild using 6.0.
> I guess these two libraries appeared in build tree due to update from
> 5.{0,1} to 6.0.

yes, /usr/lib/lib{menu,form}.so.5 is there, but /usr/lib/lib{menu,form}.so.6
is also there. Why did it pick up .so.5 over .so.6 ?

> TODO: fix build tree (at least remove these libs or recreate it from scratch),
> rebuild ncurses and upload
> ncurses package and updated pkg_summary.*

Before doing so, I'd like to know why it didn't pick the up to date library.
There may be other similar cases, and rebuilding the whole set of packages
takes weeks (I started a build from scratch 8 days ago because of X11 issues,
and it's only at
[4882/12012] Starting build of  p5-IO-Handle-Util-0.01nb2

Manuel Bouyer <>
     NetBSD: 26 ans d'experience feront toujours la difference

Home | Main Index | Thread Index | Old Index